### Signal

# GUsb DeviceList::device-removed

#### Declaration

    void
    device_removed (
      GUsbDeviceList* self,
      GUsbDevice* device,
      gpointer user_data
    )

#### Description

This signal is emitted when a USB device is removed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `GUsbDevice`

  A `GUsbDevice`.

  The data is owned by the caller of the function.